# Microeconometrics
# Workbook 3
# Count data / ordered responses
# Name:

rm(list=ls())
setwd("C:\\Users\\budzi\\Documents\\ME QPE\\Class 3")        # sets the access path (sometimes change the characters '\' to '/' is needed)

library(readxl)
library(oglmx)


## Exercise 1: Analyze what affects whether people care about culture in Warsaw
rm(list=ls())
Culture <- read_excel("Culture.xls")

# Wi?niewska, A., Budzi?ski, W., & Czajkowski, M. (2020). An economic valuation of access to cultural institutions: museums, theatres, and cinemas. Journal of Cultural Economics, 44(4), 563-587.

# Description
# Theatre - no. of visits to theatres in the last 12 months
# motcultu - I care about culture in Warsaw (1- def. agree, 4 - def. disagree, 5 - I dont know)
# tc - travel cost
# cs - inclusive value (estimate from choice model)
# income (in pln)
# inc_mis = 1 if income is missing (set to average value)
# hhpeop - no. of people in household
# age
# wars - no. of years living in Warsaw
# havejob - = 1 if have a job
# edugroup - = 1 if primary, = 2 if secondary, = 3 if higher
# havech - no of children in household

# 1.1 Recode variable motcultu, so that I dont know would be a third level (rather than fifth)


# 1.2 Estimate ordered logit


# 1.3. Calculate marginal effects and interpret the results


# 1.4 Estimate model with heteroskedasticity 


## Exercise 2: Conduct Travel Cost analysis for visits in theatres in Warsaw
# 2.1 Estimate a basic demand function using Poisson regression
  # (use cs instead of tc)

# 2.2 Conduct linktest and test for equidispersion


# 2.3 Calculate total consumer surplus 


# 2.4 Expand the basic model to control for overdispersion and excess no. of zeros